Subject: Re: [PATCH v2 1/3] clone: remove double bundle list clear code

From: Toon claes <[email-masked]>
Date: Fri, 02 Aug 2024 17:45:34 +0200

Justin Tobler <[email-masked]> writes:

> From the commit message though, I thought the added test might have
> something to do with the changes to when `transport->bundles` was freed.
> I wonder if it would be a good idea to expland on this further in the
> commit message. Or since the added test is somewhat unrelated to this
> patch, maybe it should be a separate patch?

I added this test case because I wanted to debug the code path where the
remote advertises bundle URIs, all other test cases use --bundle-uri.
This helped me to debug the code and understand where the
`transport->bundles` are freed. Although this test case does not fully
touch the code path of the code that's removed, but it was close enough
to hack a few extra lines and understand what happens. Since I wrote
that test anyway, I felt I might as well submit it.

-- 
Toon